Skip to main content
GET
/
api
/
svc
/
v1
/
agents
List Agents
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/agents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "name": "<string>",
      "fqn": "<string>",
      "tenantName": "<string>",
      "accountId": "<string>",
      "latestVersion": 123,
      "type": "<string>",
      "createdBySubject": {
        "subjectId": "<string>",
        "subjectType": "user",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>",
        "subjectPatName": "<string>",
        "subjectControllerName": "<string>",
        "subjectExternalIdentitySlug": "<string>"
      },
      "id": "<string>",
      "latestVersionDetails": {
        "agentId": "<string>",
        "fqn": "<string>",
        "manifest": {
          "type": "truefoundry-agent",
          "name": "<string>",
          "description": "<string>",
          "model": "<string>",
          "collaborators": [
            {
              "subject": "<string>",
              "role_id": "<string>"
            }
          ],
          "tags": {},
          "model_params": {
            "max_tokens": 123,
            "reasoning_effort": "none",
            "temperature": 123,
            "top_p": 123
          },
          "skills": [
            {
              "fqn": "<string>",
              "preload_skill_md": false
            }
          ],
          "mcp_servers": [
            {
              "name": "<string>",
              "deferred": false,
              "tools": [
                {
                  "name": "<string>"
                }
              ]
            }
          ],
          "instruction": "<string>",
          "messages": [
            {
              "role": "user",
              "content": "<string>"
            }
          ],
          "variables": {},
          "response_format": {
            "type": "text"
          },
          "sandbox": {
            "enabled": true
          },
          "iteration_limit": 99,
          "ownedBy": {
            "account": "<string>"
          }
        },
        "version": 123,
        "id": "<string>",
        "metadata": {},
        "createdBySubject": {
          "subjectId": "<string>",
          "subjectType": "user",
          "subjectSlug": "<string>",
          "subjectDisplayName": "<string>",
          "subjectPatName": "<string>",
          "subjectControllerName": "<string>",
          "subjectExternalIdentitySlug": "<string>"
        }
      },
      "createdBy": "<string>"
    }
  ],
  "pagination": {
    "total": 100,
    "offset": 0,
    "limit": 10
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

offset
integer
default:0

Number of items to skip

Required range: x >= 0
Example:

0

name
string

Agent Name

namePrefix
string

When set, only agents whose name starts with this string (case-sensitive). Ignored when name is also provided.

type
enum<string>

Filter by latest manifest discriminator (remote-agent or truefoundry-agent).

Available options:
remote-agent,
truefoundry-agent

Response

200 - application/json

Agents retrieved successfully

data
Agent · object[]
required

Array of Agents

pagination
Pagination · object
required

Pagination Information